Page MenuHomePhabricator

Language & lexical category display broken in Russian
Closed, DuplicatePublic

Description

If I switch interface to Russian, I get this for https://www.wikidata.org/wiki/Lexeme:L666

Язык русский язык
Lexical Category имя существительное

Looks like some broken encoding is going on here.

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptMay 23 2018, 6:31 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
jmac added a subscriber: jmac.May 23 2018, 6:54 PM

Probably broader issue of encoding. When I look at L475 in Czech, under the label it displays

Jazyk čeština
Mluvnická kategorie vlastní jméno

Instead of correct

Jazyk čeština
Mluvnická kategorie vlastní jméno

Yet other parts of the page seems ok...

I am not creating a new task for Czech, hope it will be corrected all in once.

It's not language dependend. It's for all scripts that use the default latin script so it seems. Just tested with Chinese: https://www.wikidata.org/wiki/Lexeme:L1?uselang=zh-hans and icelandic (is). They give problems too. So it definitely is a general encoding bug and can be fixed for all languages at the same time.

Vvjjkkii renamed this task from Language & lexical category display broken in Russian to nfcaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from nfcaaaaaaa to Language & lexical category display broken in Russian.Jul 2 2018, 3:54 PM
CommunityTechBot closed this task as a duplicate.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.